Project

General

Profile

Actions

Bug #1241

closed

Segfault with Nokogiri 1.2.1 on Ruby 1.9.1p0

Added by Ravenex (Raven Ex) about 12 years ago. Updated almost 10 years ago.

Status:
Third Party's Issue
Priority:
Normal
Assignee:
-
Target version:
ruby -v:
ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-mswin32]
Backport:
[ruby-core:22640]

Description

=begin
After installing a clean Ruby 1.9.1-p0 from Ruby-mswin32 (http://www.garbagecollect.jp/ruby/mswin32/en/), I installed Mechanize 0.9.1 with:
gem install mechanize
after which also installed Nokogiri 1.2.1.

Then, when I run irb, and type in require 'mechanize', I get a segfault on loading Nokogiri's native.so:

====================================

D:\build_area\ruby191\bin>irb
irb(main):001:0> require 'mechanize'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/nokogiri-1.2.1-x86-mswin32-60/ext/nokogiri/native.so: [BUG] Segmentation fault
ruby 1.9.1p0 (2009-01-30 revision 21907) [i386-mswin32]

-- control frame ----------
c:0034 p:-4039146 s:0112 b:0112 l:000111 d:000111 TOP
c:0033 p:---- s:0110 b:0110 l:000109 d:000109 CFUNC :require
c:0032 p:0126 s:0106 b:0106 l:000105 d:000105 TOP D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/nokogiri-1.2.1-x86-mswin32-60/lib/nokogiri.rb:6
c:0031 p:---- s:0104 b:0104 l:000103 d:000103 FINISH
c:0030 p:---- s:0102 b:0102 l:000101 d:000101 CFUNC :require
c:0029 p:0107 s:0098 b:0098 l:000097 d:000097 TOP D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/www/mechanize.rb:9
c:0028 p:---- s:0096 b:0096 l:000095 d:000095 FINISH
c:0027 p:---- s:0094 b:0094 l:000093 d:000093 CFUNC :require
c:0026 p:0011 s:0090 b:0090 l:000089 d:000089 TOP D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/mechanize.rb:7
c:0025 p:---- s:0088 b:0088 l:000087 d:000087 FINISH
c:0024 p:---- s:0086 b:0086 l:000085 d:000085 CFUNC :require
c:0023 p:0011 s:0082 b:0082 l:00222c d:0015e4 EVAL (irb):1
c:0022 p:---- s:0080 b:0080 l:000079 d:000079 FINISH
c:0021 p:---- s:0078 b:0078 l:000077 d:000077 CFUNC :eval
c:0020 p:0027 s:0071 b:0071 l:000070 d:000070 METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb/workspace.rb:80
c:0019 p:0031 s:0064 b:0063 l:000062 d:000062 METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb/context.rb:218
c:0018 p:0030 s:0058 b:0058 l:001f74 d:000057 BLOCK D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:149
c:0017 p:0037 s:0050 b:0050 l:000049 d:000049 METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:263
c:0016 p:0011 s:0045 b:0045 l:001f74 d:000044 BLOCK D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:146
c:0015 p:0132 s:0041 b:0041 l:000024 d:000040 BLOCK D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:244
c:0014 p:---- s:0038 b:0038 l:000037 d:000037 FINISH
c:0013 p:---- s:0036 b:0036 l:000035 d:000035 CFUNC :loop
c:0012 p:0009 s:0033 b:0033 l:000024 d:000032 BLOCK D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:230
c:0011 p:---- s:0031 b:0031 l:000030 d:000030 FINISH
c:0010 p:---- s:0029 b:0029 l:000028 d:000028 CFUNC :catch
c:0009 p:0023 s:0025 b:0025 l:000024 d:000024 METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:229
c:0008 p:0042 s:0022 b:0022 l:001f74 d:001f74 METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:145
c:0007 p:0011 s:0019 b:0019 l:000a4c d:000018 BLOCK D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:69
c:0006 p:---- s:0017 b:0017 l:000016 d:000016 FINISH
c:0005 p:---- s:0015 b:0015 l:000014 d:000014 CFUNC :catch
c:0004 p:0172 s:0011 b:0011 l:000a4c d:000a4c METHOD D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:68
c:0003 p:0039 s:0006 b:0006 l:000b54 d:001f6c EVAL D:/build_area/ruby191/bin/irb.bat:20
c:0002 p:---- s:0004 b:0004 l:000003 d:000003 FINISH
c:0001 p:0000 s:0002 b:0002 l:000b54 d:000b54 TOP :498


-- Ruby level backtrace information-----------------------------------------
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/nokogiri-1.2.1-x86-mswin32-60/lib/nokogiri.rb:6:in require'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/nokogiri-1.2.1-x86-mswin32-60/lib/nokogiri.rb:6:in
'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/www/mechanize.rb:9:in require'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/www/mechanize.rb:9:in
'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/mechanize.rb:7:in require'
D:/build_area/ruby191/lib/ruby/gems/1.9.1/gems/mechanize-0.9.1/lib/mechanize.rb:7:in
'
(irb):1:in require'
(irb):1:in
irb_binding'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/workspace.rb:80:in eval'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/workspace.rb:80:in
evaluate'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/context.rb:218:in evaluate'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:149:in
block (2 levels) in eval_input'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:263:in signal_status'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:146:in
block in eval_input'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:244:in block (2 levels) in each_top_level_statement'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:230:in
loop'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:230:in block in each_top_level_statement'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:229:in
catch'
D:/build_area/ruby191/lib/ruby/1.9.1/irb/ruby-lex.rb:229:in each_top_level_statement'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:145:in
eval_input'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:69:in block in start'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:68:in
catch'
D:/build_area/ruby191/lib/ruby/1.9.1/irb.rb:68:in start'
D:/build_area/ruby191/bin/irb.bat:20:in
'

[NOTE]
You may encounter a bug of Ruby interpreter. Bug reports are welcome.
For details: http://www.ruby-lang.org/bugreport.html

This application has requested the Runtime to terminate it in an unusual way.
Please contact the application's support team for more information.

====================================

The same segfault can be reproduced just by entering:
require 'nokogiri'
in irb, on Windows XP-32bit and Windows 7-32bit.
=end


Related issues

Related to Ruby master - Bug #3132: …/nokogiri-1.4.1/ext/nokogiri/nokogiri.bundle: [BUG] Bus ErrorClosedko1 (Koichi Sasada)04/12/2010Actions
Actions #1

Updated by usa (Usaku NAKAMURA) about 12 years ago

  • Status changed from Open to Third Party's Issue

=begin
nokogiri's native.so from gem seems to be for ruby 1.8.
=end

Actions

Also available in: Atom PDF